import { jsx } from "react/jsx-runtime";
import { BarcodeIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Barcode = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Barcode", ...props, children: /* @__PURE__ */ jsx(BarcodeIcon, { weight: variant }) });
  }
);
Barcode.displayName = "Barcode";
Object.assign(Barcode, { isGdsIcon: true });
export {
  Barcode
};
